---

#! /db/releases/20250123112104/lkp-src/jobs/hwsim-part2.yaml
suite: hwsim
testcase: hwsim
category: functional
need_memory: 1G
hwsim:
  test: group-19
job_origin: hwsim-part2.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/hwsim/include
need_kconfig:
- WLAN: "y"
- PACKET: "y"
- CFG80211: m
- CFG80211_WEXT: "y"
- CFG80211_DEBUGFS: "y"
- MAC80211: m
- MAC80211_HWSIM: m
- MAC80211_LEDS: "y"
- MAC80211_MESH: "y"
- MAC80211_DEBUGFS: "y"
- VETH
- BRIDGE
- MACSEC: m
- WLAN: "y"
- PACKET: "y"
- CFG80211: m
- CFG80211_WEXT: "y"
- CFG80211_DEBUGFS: "y"
- MAC80211: m
- MAC80211_HWSIM: m
- MAC80211_LEDS: "y"
- MAC80211_MESH: "y"
- MAC80211_DEBUGFS: "y"
- VETH
- BRIDGE
- MACSEC: m

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d02
tbox_group: lkp-skl-d02
branch: linux-next/master
commit: 95688800eefe28240204c2a0dd2bca5bf5f7f1d9
job_file: "/lkp/jobs/scheduled/lkp-skl-d02/hwsim-group-19-debian-12-x86_64-20240206.cgz-95688800eefe-20250125-398093-u4t8qz-1.yaml"
id: 218efa3c11660cf11f05e6d8ba49fcae5dd1c3a9
queuer_version: "/zday/lkp"

#! /db/releases/20250123112104/lkp-src/hosts/lkp-skl-d02
model: Skylake
nr_cpu: 4
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/wwn-0x5000c500746fa0cc-part*"
ssd_partitions: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part2"
rootfs_partition: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part1"
brand: Intel(R) Core(TM) i5-6500 CPU @ 3.20GHz
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915
ucode: '0xf0'

#! /db/releases/20250123112104/lkp-src/include/category/functional

#! /db/releases/20250123112104/lkp-src/include/category/ALL

#! /db/releases/20250123112104/lkp-src/programs/hwsim/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-01-25 13:46:04.041146035 +08:00
compiler: gcc-12
_rt: "/result/hwsim/group-19/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/95688800eefe28240204c2a0dd2bca5bf5f7f1d9"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/hwsim/group-19/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/95688800eefe28240204c2a0dd2bca5bf5f7f1d9/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-12/95688800eefe28240204c2a0dd2bca5bf5f7f1d9/vmlinuz-6.13.0-rc7-00074-g95688800eefe
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-skl-d02/hwsim-group-19-debian-12-x86_64-20240206.cgz-95688800eefe-20250125-398093-u4t8qz-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=95688800eefe28240204c2a0dd2bca5bf5f7f1d9
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/95688800eefe28240204c2a0dd2bca5bf5f7f1d9/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hwsim_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/hwsim-x86_64-4ea2c336d-1_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250123112104/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d02/hwsim-group-19-debian-12-x86_64-20240206.cgz-95688800eefe-20250125-398093-u4t8qz-1.cgz"
last_kernel: 6.13.0-next-20250117-wt-ath-169853-g3381a688946a
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/95688800eefe28240204c2a0dd2bca5bf5f7f1d9/vmlinuz-6.13.0-rc7-00074-g95688800eefe"
result_root: "/result/hwsim/group-19/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/95688800eefe28240204c2a0dd2bca5bf5f7f1d9/0"
dequeue_time: 2025-01-25 15:50:43.735296858 +08:00
job_state: running
